package com.june.entitytodbdoc.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 文本
 *
 * @author : lvhaoran
 * @date Date : 2022年07月14日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RecheckResInfoBean {

    /**
     * 问题
     */
    @NotBlank(message = "请求的question不能为空")
    @Size(min = 1, max = 50, message = "请求的question长度不合法,合理范围1-50")
    private String question;

    /**
     * 答案
     */
    @NotBlank(message = "请求的answer不能为空")
    @Size(min = 1, max = 200, message = "请求的answer长度不合法,合理范围1-200")
    private String answer;
}
