package com.june.entitytodbdoc.entity.mongo;

import com.jiankangyouyi.cloud.basedata.api.model.entity.knowledge.QaKnowledgeQuestion;
import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * 知识竞赛问卷表
 *
 * @author jingpeng
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@CompoundIndexes(
        value = {
                @CompoundIndex(
                        name = "questionnaireId_1_validStatus_-1",
                        def = "{'questionnaireId' : 1, 'validStatus': -1}"
                ),
                @CompoundIndex(
                        name = "questionnaireId_1",
                        def = "{'questionnaireId' : 1 }",
                        unique = true
                )
        }
)
@Document(collection = "v3.activity.qa.questionnaire")
public class ActivityQaQuestionnaireDO extends BaseMongoEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 问卷id NOT NULL
     */
    private String questionnaireId;

    /**
     * 问题对象集合
     */
    private List<QaKnowledgeQuestion> questions;


    public static final String FIELD_QUESTIONNAIREID = "questionnaireId";
    public static final String FIELD_QUESTIONS = "questions";
    public static final String FIELD_QUESTIONS_QUESTIONID = "questions.questionId";
    public static final String FIELD_QUESTIONS_QUESTIONCATEGORY = "questions.questionCategory";
}
