/*
 * Copyright 2019 health hope
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.june.entitytodbdoc.entity.mongo;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * developer app information
 *
 * @author wangyalei
 */
@Data
@AllArgsConstructor
@Document(collection = "developer.app.info2")
public class DeveloperAppInfo2MongoDO {

    /**
     * 主键
     */
    @Id
    private ObjectId _id;

    /**
     * 应用ID 为了兼容之前的非ObjectId 型字符串
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用描述
     */
    private String description;

    /**
     * 开发者ID
     */
    private String developerId;

    public static final String field__id = "_id";
    public static final String field_appId = "appId";
    public static final String field_appName = "appName";
    public static final String field_description = "description";
    public static final String field_developerId = "developerId";
    public static final String field_appLevel = "appLevel";
    public static final String field_publicKey = "publicKey";
    public static final String field_apiKey = "apiKey";
    public static final String field_appType = "appType";
    //    public static final String field_productInfoList = "productInfoList";
    public static final String field_platform = "platform";
    public static final String field_scene = "scene";
    public static final String field_validStatus = "validStatus";
    public static final String field_beginTime = "beginTime";
    public static final String field_endTime = "endTime";
    public static final String field_updateTime = "updateTime";
    public static final String field_createTime = "createTime";


}

