package com.june.entitytodbdoc.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import com.june.entitytodbdoc.bean.RecipesTagBean;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 精选食谱标签
 *
 * @author : lvhaoran
 * @date Date : 2022年08月01日
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.featured.recipes.tag")
public class FeaturedRecipesTagDO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * icon
     */
    private String icon;

    /**
     * 标签
     */
    private String tag;
    /**
     * 标签名
     */
    private String tagName;

    /**
     * 推荐的标签
     */
    private List<RecipesTagBean> recipesTags;
    /**
     * 标签描述
     */
    private String describe;
    /**
     * 注释
     */
    private String notes;
    /**
     * 提示
     */
    private String translation;
    /**
     * 背景图
     */
    private String imageUrl;

    public static final String FIELD_ICON = "icon";
    public static final String FIELD_TAG = "tag";
    public static final String FIELD_TAGNAME = "tagName";
    public static final String FIELD_DESCRIBE = "describe";
    public static final String FIELD_NOTES = "notes";
    public static final String FIELD_TRANSLATION = "translation";
    public static final String FIELD_IMAGEURL = "imageUrl";
}
