package com.june.entitytodbdoc.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 食物详情榜单
 *
 * @author : lvhaoran
 * @date Date : 2022年05月16日
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.food.detail.billboard")
public class FoodDetailBillboardDO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 食物id
     */
    private String foodId;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 3级分类
     */
    private String classification3;

    /**
     * 4级分类
     */
    private String classification4;
    /**
     * 食物图片
     */
    private String imageUrl;
    /**
     * 值
     */
    private String value;
    /**
     * 食物描述
     */
    private String describe;

    public static final String FIELD_FOODID = "foodId";
    public static final String FIELD_FOODNAME = "foodName";
    public static final String FIELD_CLASSIFICATION3 = "classification3";
    public static final String FIELD_CLASSIFICATION4 = "classification4";
    public static final String FIELD_IMAGEURL = "imageUrl";
    public static final String FIELD_VALUE = "value";
    public static final String FIELD_DESCRIBE = "describe";
}
