package com.june.entitytodbdoc.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 运动梅脱值
 *
 * @author : lvhaoran
 * @date Date : 2022年01月19日
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "sport.metre")
public class SportMetreDO extends BaseMongoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 类别
     */
    private String category;

    /**
     * 目录
     */
    private String content;

    /**
     * 运动梅脱值
     */
    private BigDecimal metre;

    public static final String FIELD_CATEGORY = "category";
    public static final String FIELD_CONTENT = "content";
    public static final String FIELD_METRE = "metre";
}
