package com.june.entitytodbdoc.entity.mongo.action;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.basedata.api.model.entity.action.VideoRest;
import com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/3 1:39 下午
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.video.rest")
public class VideoRestDO extends VideoRest {
    private static final long serialVersionUID = 1L;

    public static final String FIELD_DATE = "date";
    public static final String FIELD_ID = "_id";
    public static final String FIELD_VALIDSTATUS = "validStatus";
    public static final String FIELD_VERSION = "version";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_CREATEDATE = "createDate";
    public static final String FIELD_REMARK = "remark";
    public static final String FIELD_OPTIONACCOUNT = "optionAccount";

    @Id
    private ObjectId id;
    private String validStatus;
//    @Version
//    private Long version;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateTime;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createTime;

    /**
     * 备注
     */
    private String remark;
    /**
     * 操作人账号
     */
    private String optionAccount;

    public VideoRestDO() {
        Date date = new Date();
        this.validStatus = ValidStatusEnum.VALID.getCode();
        this.updateTime = date;
        this.createTime = date;
    }
}
