package com.june.entitytodbdoc.entity.mongo.article;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 文章首页记录模型
 *
 * @author qxy
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.article.index")
public class ArticleIndexDO  extends BaseMongoEntity {

    /**
     * 记录时间
     *
     */
    private String  recordDate;

    /**
     * 当天首页展示的文章id
     *
     */
    private String  articleId;
    /**
     * 当天首页展示的文章code
     *
     */
    private String  articleCode;

    public static final String FIELD_RECORDDATE = "recordDate";


}
