package com.june.entitytodbdoc.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.collections.CollectionUtils;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 打卡内容
 * @author ：wangyalei
 * @date ：2022/8/1 2:54 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PunchCardContent {
    /**
     * 第一阶段小贴士内容
     */
    @NotEmpty(message = "请求参数 firstPhaseContents 不能为空")
    @Valid
    private List<PhaseContent> firstPhaseContents;
    /**
     * 第二阶段小贴士内容
     */
    @NotEmpty(message = "请求参数 secondPhaseContents 不能为空")
    @Valid
    private List<PhaseContent> secondPhaseContents;
    /**
     * 第三阶段小贴士内容
     */
    @NotEmpty(message = "请求参数 thirdPhaseContents 不能为空")
    @Valid
    private List<PhaseContent> thirdPhaseContents;
    /**
     * 第四阶段小贴士内容
     */
    @NotEmpty(message = "请求参数 fourthPhaseContents 不能为空")
    @Valid
    private List<PhaseContent> fourthPhaseContents;

    public void setFirstPhaseContents() {
        if (CollectionUtils.isNotEmpty(this.firstPhaseContents)) {
            this.firstPhaseContents = this.firstPhaseContents.stream().distinct().collect(Collectors.toList());
        }
    }

    public void setSecondPhaseContents() {
        if (CollectionUtils.isNotEmpty(this.secondPhaseContents)) {
            this.secondPhaseContents = this.secondPhaseContents.stream().distinct().collect(Collectors.toList());
        }
    }

    public void setThirdPhaseContents() {
        if (CollectionUtils.isNotEmpty(this.thirdPhaseContents)) {
            this.thirdPhaseContents = this.thirdPhaseContents.stream().distinct().collect(Collectors.toList());
        }
    }

    public void setFourthPhaseContents() {
        if (CollectionUtils.isNotEmpty(this.fourthPhaseContents)) {
            this.fourthPhaseContents = this.fourthPhaseContents.stream().distinct().collect(Collectors.toList());
        }
    }

}
