package com.june.entitytodbdoc.entity.mongo.component;

import com.jiankangyouyi.cloud.basedata.api.model.component.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import java.io.Serializable;

/**
 * 规则组合
 * @author ：wangyalei
 * @date ：2022/8/1 2:38 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RuleLimit implements Serializable {
    /**
     * 年龄类型规则
     */
    private AgeTypeRuleCondition ageTypeRuleCondition;
    /**
     * 性别类型规则
     */
    @Valid
    private GenderTypeRuleCondition genderTypeRuleCondition;
    /**
     * 腰围类型规则
     */
    private WaistTypeRuleCondition waistTypeRuleCondition;
    /**
     * BMI类型规则
     */
    private BmiTypeRuleCondition bmiTypeRuleCondition;



}
