package com.june.entitytodbdoc.entity.mongo.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/12 6:43 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ServiceArea {
    /**
     * 标题
     */
    @NotBlank(message = "请求参数 title 不能为空")
    @Size(max = 6,message = "请求参数 title 超过有效长度 6")
    private String title;
    /**
     * 图片
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    @NotBlank(message = "请求参数 image 不能为空")
    @Size(max = 256,message = "请求参数 image 超过有效长度 256")
    private String image;
    /**
     * 描述
     */
    @NotBlank(message = "请求参数 description 不能为空")
    @Size(max = 100,message = "请求参数 description 超过有效长度 100")
    private String description;

}
