package com.june.entitytodbdoc.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;


/**
 * @author ：wangyalei
 * @date ：Created in 2021/7/12 7:07 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ServiceValue {
    /**
     * 标题
     */
    @NotBlank(message = "请求参数 title 不能为空")
    @Size(max = 6,message = "请求参数 title 超过有效长度 6")
    private String title;
    /**
     * 描述
     */
    @NotBlank(message = "请求参数 description 不能为空")
    @Size(max = 100,message = "请求参数 description 超过有效长度 100")
    private String description;
}
