package com.june.entitytodbdoc.entity.mongo.food;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * 食物图片特征表
 *
 * @author jingpeng
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.food.image.features")
@Builder
public class FoodImgFeaturesDO extends BaseMongoEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 图片名称 hash
     */
    private String foodImageName;
    /**
     * ftp图片url
     */
    private String foodImageUrl;
    /**
     * ftp图片remotePath
     */
    private String remotePath;
    /**
     * 七牛key
     */
//    private String qiNiuKey;

    /**
     *  食物id
     */
    private String foodId;
    /**
     * 图片特征
     */
    private List<Float> imgFeatures;
    /**
     * 食物名称
     */
    private String foodName;
    /**
     * 食物类型
     */
    private String foodProperty;
    /**
     * 食物分类1
     */
    private String classify1;
    /**
     * 食物分类1
     */
    private String classify2;
    /**
     * 食物分类1
     */
    private String classify3;
    /**
     * 最后操作账号
     */
    private String optionAccount;
    public static final String FIELD_FOODIMAGENAME = "foodImageName";
    public static final String FIELD_REMOTEPATH = "remotePath";
    public static final String FIELD_FOODIMAGEURL = "foodImageUrl";
    public static final String FIELD_FOODID = "foodId";
    public static final String FIELD_IMGFEATURES = "imgFeatures";
    public static final String FIELD_FOODNAME = "foodName";
    public static final String FIELD_FOODPROPERTY = "foodProperty";
    public static final String FIELD_CLASSIFY1 = "classify1";
    public static final String FIELD_CLASSIFY2 = "classify2";
    public static final String FIELD_CLASSIFY3 = "classify3";
    public static final String FIELD_OPTIONACCOUNT = "optionAccount";
}
