package com.june.entitytodbdoc.entity.mysql;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.*;
import lombok.experimental.Accessors;

import java.sql.Timestamp;

/**
 * <p>
 * 字典分类表
 * </p>
 *
 * @author yangdeliang
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("base_dict_type")
public class BaseDictTypeDO extends Model<BaseDictTypeDO> implements ValidDTO {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;
    /**
     *  字典分类Id 业务主键
     */
    @TableField("dict_type_id")
    private String dictTypeId;
    /**
     * 字典大类
     */
    @TableField("dict_type")
    private String dictType;
    /**
     * 字典子类
     */
    @TableField("dict_sub_type")
    private String dictSubType;

    /**
     * 类型名称
     */
    @TableField("dict_sub_type_name")
    private String dictSubTypeName;

    /**
     * 排序
     */
    @TableField("row_order")
    private Integer rowOrder;

    /**
     * 备注
     *
     */
    @TableField("remark")
    private String remark;

    /**
     * 状态 1-启用 2-禁用
     *
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * 描述
     *
     */
    @TableField("description")
    private String description;

    /**
     * 操作人帐号
     */
    @TableField("operate_account")
    private String operateAccount;


    public static final String FIELD_ID = "_id";
    public static final String FIELD_DICT_TYPE_ID = "dict_type_id";
    public static final String FIELD_VALID_STATUS = "valid_status";
    public static final String FIELD_UPDATE_TIME = "update_time";
    public static final String FIELD_CREATE_TIME = "create_time";
    public static final String FIELD_DICT_TYPE = "dict_type";
    public static final String FIELD_DICT_SUB_TYPE = "dict_sub_type";
    public static final String FIELD_DICT_SUB_NAME = "dict_sub_type_name";
    public static final String FIELD_ROW_ORDER = "row_order";
    public static final String FIELD_REMARK = "remark";
}
