package com.june.entitytodbdoc.entity.mysql;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>Title: 开发者信息表 dto of table: biz_developer_info</p>
 * <p>Description: biz_developer_info Data Transfer Object </p>
 * <p>Generation Time: 2018-07-27 17:28:41.09 </p>
 * dto.vm version date: 2014-11-20
 *
 * @author ego-gw
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "biz_developer_info")
public class BizDeveloperInfoDO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 开发者ID  developer_id  varchar(32) PK ,NOT NULL
     **/
    @Id
    private String developerId;
    /**
     * 手机号  mobile  varchar(20) ,NOT NULL
     **/
    private String mobile;
    /**
     * 邮箱地址  email  varchar(64)
     **/
    private String email;
    /**
     * 密码  password  varchar(32) ,NOT NULL
     **/
    private String password;
    /**
     * 开发者类型  developer_type  varchar(2)
     **/
    private String developerType;
    /**
     * 公司名称  company_name  varchar(128)
     **/
    private String companyName;
    /**
     * 联系人名称  contact_name  varchar(128)
     **/
    private String contactName;
    /**
     * 行业类别  industry_classify  varchar(32)
     **/
    private String industryClassify;
    /**
     * 地址-省  province  varchar(32)
     **/
    private String province;
    /**
     * 地址-城市  city  varchar(32)
     **/
    private String city;
    /**
     * 地址-区县  district  varchar(32)
     **/
    private String district;
    /**
     * 详细地址  address  varchar(128)
     **/
    private String address;
    /**
     * 证件号  license_no  varchar(64)
     **/
    private String licenseNo;
    /**
     * 证件照片  license_image_key  varchar(512)
     **/
    private String licenseImageKey;
    /**
     * 场景描述  description  varchar(512)
     **/
    private String description;
    /**
     * 开发者状态  developer_status  varchar(2)
     **/
    private String developerStatus;
    /**
     * 审核结果  audit_result  varchar(512)
     **/
    private String auditResult;
    /**
     * 备注  remark  varchar(256)
     **/
    private String remark;
    /**
     * 更新时间  update_time  timestamp
     **/
    private Timestamp updateTime;
    /**
     * 创建时间  create_time  timestamp
     **/
    private Timestamp createTime;


}
